org.eclipse.gef.common.beans.property

## Class ReadOnlySetMultimapWrapper<K,V>

- java.lang.Object
- - org.eclipse.gef.common.beans.binding.SetMultimapExpression<K,V>
  - - org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty<K,V>
    - - org.eclipse.gef.common.beans.property.SetMultimapProperty<K,V>
      - - org.eclipse.gef.common.beans.property.SetMultimapPropertyBase<K,V>
        - - org.eclipse.gef.common.beans.property.SimpleSetMultimapProperty<K,V>
          - - org.eclipse.gef.common.beans.property.ReadOnlySetMultimapWrapper<K,V>

Type Parameters:
  `K` - The key type of the wrapped `ObservableSetMultimap`.
  `V` - The value type of the wrapped `ObservableSetMultimap`.

All Implemented Interfaces:
  com.google.common.collect.Multimap<K,V>, com.google.common.collect.SetMultimap<K,V>, Observable, Property<ObservableSetMultimap<K,V>>, ReadOnlyProperty<ObservableSetMultimap<K,V>>, ObservableObjectValue<ObservableSetMultimap<K,V>>, ObservableValue<ObservableSetMultimap<K,V>>, WritableObjectValue<ObservableSetMultimap<K,V>>, WritableValue<ObservableSetMultimap<K,V>>, ObservableSetMultimapValue<K,V>, WritableSetMultimapValue<K,V>, ObservableSetMultimap<K,V>

    public class ReadOnlySetMultimapWrapper<K,V>
    extends SimpleSetMultimapProperty<K,V>

A `ReadOnlySetMultimapWrapper` is a writable `Property` wrapping an `ObservableSetMultimap`, which provides an additional read-only `Property` (based on a concrete, non-exposed implementation of `ReadOnlySetMultimapProperty`), whose value is synchronized with the value of this `ReadOnlyMapWrapper`.

This class provides identical functionality for `SetMultimap` as `ReadOnlyMapWrapper` for `Map`, `ReadOnlySetWrapper` for `Set`, or `ReadOnlyListWrapper` for `List`.

### Property Summary

### Properties inherited from class org.eclipse.gef.common.beans.property.SetMultimapPropertyBase

`empty, size`

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlySetMultimapWrapper()` Constructs a new unnamed `ReadOnlySetMultimapWrapper`.
`ReadOnlySetMultimapWrapper(Object bean, String name)` Constructs a new `ReadOnlySetMultimapWrapper` for the given bean and with the given name.
`ReadOnlySetMultimapWrapper(Object bean, String name, ObservableSetMultimap<K,V> initialValue)` Constructs a new `ReadOnlySetMultimapWrapper` for the given bean and with the given name and initial value.
`ReadOnlySetMultimapWrapper(ObservableSetMultimap<K,V> initialValue)` Constructs a new unnamed `ReadOnlySetMultimapWrapper` with the given initial value.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `fireValueChangedEvent()` Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.
`protected void` `fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)` Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.
`ReadOnlySetMultimapProperty<K,V>` `getReadOnlyProperty()` Returns the read-only `Property`, whose value is synchronized with this `ReadOnlySetMultimapWrapper`.

### Methods inherited from class org.eclipse.gef.common.beans.property.SimpleSetMultimapProperty

`getBean, getName`

### Methods inherited from class org.eclipse.gef.common.beans.property.SetMultimapPropertyBase

`addListener, addListener, addListener, appendValueToString, bind, emptyProperty, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, unbind`

### Methods inherited from class org.eclipse.gef.common.beans.property.SetMultimapProperty

`bindBidirectional, setValue, unbindBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty

`bindContent, bindContentBidirectional, equals, hashCode, toString, unbindContent, unbindContentBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.binding.SetMultimapExpression

`asMap, asString, clear, containsEntry, containsKey, containsValue, entries, get, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keys, keySet, put, putAll, putAll, remove, removeAll, replaceAll, replaceValues, setMultimapExpression, size, values, valuesAt, valuesAt`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableSetMultimap

`replaceAll`

### Methods inherited from interface com.google.common.collect.SetMultimap

`asMap, entries, equals, get, removeAll, replaceValues`

### Methods inherited from interface com.google.common.collect.Multimap

`clear, containsEntry, containsKey, containsValue, hashCode, isEmpty, keys, keySet, put, putAll, putAll, remove, size, values`

### Constructor Detail

#### ReadOnlySetMultimapWrapper

    public ReadOnlySetMultimapWrapper()

Constructs a new unnamed `ReadOnlySetMultimapWrapper`.

#### ReadOnlySetMultimapWrapper

    public ReadOnlySetMultimapWrapper(Object bean,
                                      String name)

Constructs a new `ReadOnlySetMultimapWrapper` for the given bean and with the given name.

Parameters:
  `bean` - The bean the to be created `ReadOnlySetMultimapWrapper` is to be related to.
  `name` - The name of the to be created `ReadOnlySetMultimapWrapper`

#### ReadOnlySetMultimapWrapper

    public ReadOnlySetMultimapWrapper(Object bean,
                                      String name,
                                      ObservableSetMultimap<K,V> initialValue)

Constructs a new `ReadOnlySetMultimapWrapper` for the given bean and with the given name and initial value.

Parameters:
  `bean` - The bean the to be created `ReadOnlySetMultimapWrapper` is to be related to.
  `name` - The name of the to be created `ReadOnlySetMultimapWrapper`
  `initialValue` - The initial value for the to be created `ReadOnlySetMultimapWrapper`.

#### ReadOnlySetMultimapWrapper

    public ReadOnlySetMultimapWrapper(ObservableSetMultimap<K,V> initialValue)

Constructs a new unnamed `ReadOnlySetMultimapWrapper` with the given initial value.

Parameters:
  `initialValue` - The initial value for the to be created `ReadOnlySetMultimapWrapper`.

### Method Detail

#### fireValueChangedEvent

    protected void fireValueChangedEvent()

Description copied from class: `SetMultimapPropertyBase`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.

Overrides:
  `fireValueChangedEvent` in class `SetMultimapPropertyBase<K,V>`

#### fireValueChangedEvent

    protected void fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)

Description copied from class: `SetMultimapPropertyBase`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.

Overrides:
  `fireValueChangedEvent` in class `SetMultimapPropertyBase<K,V>`
Parameters:
  `change` - the change that needs to be propagated

#### getReadOnlyProperty

    public ReadOnlySetMultimapProperty<K,V> getReadOnlyProperty()

Returns the read-only `Property`, whose value is synchronized with this `ReadOnlySetMultimapWrapper`.

Returns:
  The `ReadOnlySetMultimapProperty` that is synchronized with this `ReadOnlySetMultimapWrapper`.